> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get incoming webhook details



## OpenAPI

````yaml /api-reference/membrane-api.json get /incoming-webhooks/{id}/details
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /incoming-webhooks/{id}/details:
    get:
      tags:
        - IncomingWebhooksReader
      summary: Get incoming webhook details
      operationId: getIncomingWebhookDetails
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomingWebhookDetailsResponseDto'
components:
  schemas:
    IncomingWebhookDetailsResponseDto:
      type: object
      properties:
        request:
          type: object
          properties:
            headers:
              type: object
              additionalProperties:
                type: object
            body:
              type: object
              additionalProperties:
                type: object
            query:
              type: object
              additionalProperties:
                type: object
          required:
            - headers
            - body
            - query
        response:
          type: object
          properties:
            status:
              type: number
            headers:
              type: object
              additionalProperties:
                type: object
            data:
              type: object
              additionalProperties:
                type: object
          required:
            - status
            - headers
            - data
        events:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        error:
          type: object
          additionalProperties:
            type: object
      required:
        - request
        - response
        - events
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````